using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetableDisciplineComplaint_Appealsaddisreport : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsReport",
                table: "DisciplineInvestigate_ProfileComplaints",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "ส่งไปยุติเรื่อง");

            migrationBuilder.AddColumn<bool>(
                name: "IsReport",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "ส่งไปยุติเรื่อง");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsReport",
                table: "DisciplineInvestigate_ProfileComplaints");

            migrationBuilder.DropColumn(
                name: "IsReport",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates");
        }
    }
}
